Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.h	(revision 167)
@@ -48,5 +48,5 @@
 
 // returns contextual menu with Services item added, if selected
-NSMenu *ICCF_MenuForEvent(NSTextView *self, NSMenu *contextMenu, NSEvent *e);
+NSMenu *ICCF_MenuForEvent(NSView *self, NSMenu *contextMenu, NSEvent *e);
 
 // adds or removes services menu in menu bar
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 167)
@@ -219,5 +219,5 @@
 
         urlData = (char *)malloc( (range->length + 1) * sizeof(char));
-        NSCAssert(urlData != NULL, @"Internal error: canÕt allocate memory for URL string");
+        NSCAssert(urlData != NULL, @"Internal error: can't allocate memory for URL string");
 
         selStart = 0; selEnd = range->length;
@@ -226,5 +226,5 @@
 
         h = NewHandle(0);
-        NSCAssert(h != NULL, @"Internal error: canÕt allocate URL handle");
+        NSCAssert(h != NULL, @"Internal error: can't allocate URL handle");
 
         err = ICParseURL(ICCF_GetInst(), "\pmailto", urlData, range->length, &selStart, &selEnd, h);
@@ -262,5 +262,5 @@
         Boolean needsSlashes;
         ConstStringPtr hint = ICCF_GetHint(ICCF_GetInst(), *h, len, &selStart, &selEnd, &needsSlashes);
-        NSCAssert(hint != NULL, @"Internal error: canÕt get protocol hint for URL");
+        NSCAssert(hint != NULL, @"Internal error: can't get protocol hint for URL");
 
         if (needsSlashes) {
@@ -406,5 +406,5 @@
     NSString *servicesTitle = [[NSBundle bundleWithIdentifier: @"com.apple.AppKit"] localizedStringForKey: @"Services" value: nil table: @"ServicesMenu"];
     if (servicesTitle == nil) {
-        ICLog(@"CanÕt get localized text for 'Services' in AppKit.framework");
+        ICLog(@"Can't get localized text for 'Services' in AppKit.framework");
         servicesTitle = @"Services";
     }
@@ -475,5 +475,5 @@
 }
 
-NSMenu *ICCF_MenuForEvent(NSTextView *self, NSMenu *contextMenu, NSEvent *e) {
+NSMenu *ICCF_MenuForEvent(NSView *self, NSMenu *contextMenu, NSEvent *e) {
     if (contextMenu != nil && [e type] == NSRightMouseDown || ([e type] == NSLeftMouseDown && [e modifierFlags] & NSControlKeyMask)) {
         int servicesItemIndex = [contextMenu indexOfItemWithRepresentedObject: ICCF_SERVICES_ITEM];
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEServicePrefController.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEServicePrefController.m	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEServicePrefController.m	(revision 167)
@@ -21,5 +21,5 @@
 }
 
-static inline NSCellStateValue ICCF_ServiceItemState(NSMenuItem *item) {
+static inline NSCellStateValue ICCF_ServiceItemState(id <NSMenuItem> item) {
     id state = [item representedObject];
     return (state == nil) ? NSOnState : [state intValue];
@@ -41,5 +41,5 @@
 }
 
-static NSCellStateValue ICCF_PropagateServiceState(NSMenuItem *item, NSMenuItem *changedItem) {
+static NSCellStateValue ICCF_PropagateServiceState(id <NSMenuItem> item, NSMenuItem *changedItem) {
     NSMenu *submenu = [item submenu];
     if (submenu == nil) return ICCF_ServiceItemState(item);
@@ -101,5 +101,5 @@
     NSString *itemTitle;
     NSDictionary *subDict, *submenuDict;
-    NSMenuItem *item;
+    id <NSMenuItem> item;
     NSMenu *submenu;
 
@@ -256,4 +256,5 @@
         return (state == nil) ? ICCF_SERVICE_SHOWN : state;
     } else if ([[tableColumn identifier] isEqualToString: @"key"]) {
+        [item setKeyEquivalent: @"#"];
         NSString *equivalent = [item keyEquivalent];
         if (equivalent == nil || [equivalent length] != 1) return nil;
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 167)
@@ -13,6 +13,5 @@
 #include <CoreFoundation/CoreFoundation.h>
 
-#define ICCF_DEBUG 0
-#define ICCF_WEBKIT 0
+#define ICCF_DEBUG 1
 
 #if ICCF_DEBUG
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m	(revision 167)
@@ -11,14 +11,12 @@
 
 // from WebCoreBridge.h
-@interface WebCoreBridge
+@interface WebCoreBridge : NSObject
 
 - (NSDictionary *)elementAtPoint:(NSPoint)point;
-
-- (void)setSelectionFrom:(id /* WebDOMNode */)start startOffset:(int)startOffset to:(id /* WebDOMNode */)end endOffset:(int) endOffset;
+- (NSString *)selectedString;
 - (void)deselectAll;
 
-- (void)forceLayout;
-
-- (NSString *)selectedString;
+// only in Safari 1.0-1.2
+- (void)setSelectionFrom:(id /* WebDOMNode */)start startOffset:(int)startOffset to:(id /* WebDOMNode */)end endOffset:(int) endOffset;
 
 - (id /* WebDOMNode */)selectionStart;
@@ -27,11 +25,19 @@
 - (int)selectionEndOffset;
 
+// only in Safari 1.1-1.2
+- (NSRect)selectionRect;
+
+// only in Safari 1.3
+- (void)selectNSRange:(NSRange)range;
+
 @end
 
-// from WebKit, not yet public
-@interface WebHTMLView
+// from WebKit, private
+@interface WebHTMLView : NSObject
 
 - (WebCoreBridge *)_bridge;
-- (NSDictionary *)_elementAtPoint:(NSPoint)point;
+
+// only in Safari 1.3
+- (NSRange)selectedRange;
 
 @end
@@ -46,4 +52,6 @@
 
 static NSEvent *downEvent = nil;
+
+// used in Safari < 1.3 because there's no sane way to set the selection
 typedef struct {
     int startOffset;
@@ -52,5 +60,4 @@
     id toNode;
 } ICCF_WebCoreSelection;
-static NSString *selectedString = nil; // XXX remove when we can do this properly
 
 static ICCF_WebCoreSelection selection = {nil, nil, 0, 0};
@@ -61,8 +68,6 @@
     ioSel->startOffset = [bridge selectionStartOffset];
     ioSel->endOffset = [bridge selectionEndOffset];
-    if (ioSel->startOffset != 0 && ioSel->endOffset != 0) {
-        ioSel->fromNode = [[bridge selectionStart] retain];
-        ioSel->toNode = [[bridge selectionEnd] retain];
-    }
+    ioSel->fromNode = [[bridge selectionStart] retain];
+    ioSel->toNode = [[bridge selectionEnd] retain];
 }
 
@@ -75,19 +80,26 @@
                    endOffset: inSel->endOffset];
 }
+// end Safari < 1.3 section
+
+static NSString *selectedString = nil;
+static NSRange selectedRange;
 
 - (void)mouseDown:(NSEvent *)e;
 {
+	[downEvent release]; downEvent = nil;
     // don't want command-option-click, command-shift-click, etc. to trigger
     if (ICCF_enabled && ICCF_prefs.commandClickEnabled && ICCF_EventIsCommandMouseDown(e)) {
-        // save selection: it will be deselected on super mouseDown
         WebCoreBridge *bridge = [(WebHTMLView *)self _bridge];
-        ICCF_GetWebCoreBridgeSelection(bridge, &selection);
-        ICLog(@"selection start %d@%@ end %d@%@ string %@", [bridge selectionStartOffset], [bridge selectionStart], [bridge selectionEndOffset], [bridge selectionEnd], [bridge selectedString]);
-        // XXX hack until we have something better
-        [selectedString release]; selectedString = nil;
-        selectedString = [[bridge selectedString] retain];
-        downEvent = e;
-    } else {
-        downEvent = nil;
+		if ([self respondsToSelector: @selector(selectedRange)]) {
+			// Safari 1.3 save selection: it may be deselected on super mouseDown
+			selectedRange = [(WebHTMLView *)self selectedRange];
+		} else if ([bridge respondsToSelector: @selector(selectionStartOffset)]) {
+			// Safari < 1.3 save selection: it will be deselected on super mouseDown
+			ICCF_GetWebCoreBridgeSelection(bridge, &selection);
+			ICLog(@"selection start %d@%@ end %d@%@ string %@", [bridge selectionStartOffset], [bridge selectionStart], [bridge selectionEndOffset], [bridge selectionEnd], [bridge selectedString]);
+		}
+		[selectedString release]; selectedString = nil;
+		selectedString = [[bridge selectedString] retain];
+        downEvent = [e retain];
     }
     [super mouseDown: e];
@@ -100,5 +112,5 @@
         NSPoint downPt = [downEvent locationInWindow];
         NSPoint upPt = [e locationInWindow];
-        downEvent = nil;
+		[downEvent release]; downEvent = nil;
         if (abs(downPt.x - upPt.x) > kICHysteresisPixels && abs(downPt.y - upPt.y) > kICHysteresisPixels)
             return;
@@ -107,27 +119,54 @@
             WebCoreBridge *bridge = [(WebHTMLView *)self _bridge];
             NSPoint viewClickPt = [self convertPoint: downPt fromView: nil];
-            NSDictionary *elementDict = [(WebHTMLView *)self _elementAtPoint: viewClickPt];
+            NSDictionary *elementDict = [bridge elementAtPoint: viewClickPt];
             ICLog(@"elementDict: %@", elementDict);
-            NSAssert([elementDict count] != 0, @"ShouldnÕt get empty element dictionary"); // XXX clarify
+            NSAssert([elementDict count] != 0, @"Internal error: Got empty element dictionary from WebHTMLView");
             if ([elementDict objectForKey: @"WebElementLinkURL"] != nil) {
                 ICLog(@"got a link");
                 NS_VOIDRETURN; // donÕt activate on links
             }
-            if (selectedString == nil || [selectedString length] == 0)
-                NS_VOIDRETURN;
-            // XXX works, but doesn't update
-            ICCF_StartIC();
-            ICCF_LaunchURL(selectedString, ICCF_KeyboardAction());
-            // breaks in Safari v62 and before
-            ICCF_SetWebCoreBridgeSelection(bridge, &selection);
-            if (ICCF_prefs.textBlinkEnabled) {
-                int i;
-                for (i = 0 ; i < ICCF_prefs.textBlinkCount ; i++) {
-                    [bridge deselectAll];
-                    usleep(kICBlinkDelayUsecs);
-                    ICCF_SetWebCoreBridgeSelection(bridge, &selection);
-                    usleep(kICBlinkDelayUsecs);
-                }
-            }
+			if (selectedString == nil || [selectedString length] == 0) {
+				ICLog(@"no selected string");
+				NS_VOIDRETURN;
+			}
+			ICCF_StartIC();
+			// ICCF_LaunchURL(selectedString, ICCF_KeyboardAction());
+			if (ICCF_prefs.textBlinkEnabled &&
+				[bridge respondsToSelector: @selector(selectNSRange:)]) {
+				// blink text in Safari 1.3
+				[bridge selectNSRange: selectedRange];
+				int i;
+				NSRect selectionRect = [bridge selectionRect];
+				ICLog(@"selectedRange %@ selectionRect %@ textBlinkCount %d", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);
+				for (i = 0 ; i < ICCF_prefs.textBlinkCount ; i++) {
+					[bridge deselectAll];
+					[self setNeedsDisplayInRect: selectionRect];
+					[self display];
+					usleep(kICBlinkDelayUsecs);
+					[bridge selectNSRange: selectedRange];
+					[self setNeedsDisplayInRect: selectionRect];
+					[self display];
+					usleep(kICBlinkDelayUsecs);
+				}
+			} else {
+				// select text in Safari 1.0-1.2
+				ICCF_SetWebCoreBridgeSelection(bridge, &selection);
+				if (ICCF_prefs.textBlinkEnabled &&
+					[bridge respondsToSelector: @selector(selectionRect)]) {
+					// blink text in Safari 1.1/1.2
+					int i;
+					NSRect selectionRect = [bridge selectionRect];
+					for (i = 0 ; i < ICCF_prefs.textBlinkCount ; i++) {
+						[bridge deselectAll];
+						[self setNeedsDisplayInRect: selectionRect];
+						[self display];
+						usleep(kICBlinkDelayUsecs);
+						ICCF_SetWebCoreBridgeSelection(bridge, &selection);
+						[self setNeedsDisplayInRect: selectionRect];
+						[self display];
+						usleep(kICBlinkDelayUsecs);
+					}
+				}
+			}
         NS_HANDLER
             ICCF_HandleException(localException);
@@ -135,19 +174,6 @@
 
         ICCF_StopIC();
-        // XXX need to release fromNode, toNode
-
-        // [bridge forceLayout];
-        // ICLog(@"force start %d end %d string %@", [bridge selectionStartOffset], [bridge selectionEndOffset], [bridge selectedString]);
-
-        // check selected string, first
-        // fabricate triple-click, examine selected string
-
-        // setSelectionFrom:startOffset:to:endOffset:
-
-        // ICCF_LaunchURLFromTextView(self);
     }        
 }
 
-
-
 @end
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKitSuper.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKitSuper.h	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKitSuper.h	(revision 167)
@@ -10,5 +10,5 @@
 
 
-@interface ICeCoffEEWebKitSuper : NSTextView {
+@interface ICeCoffEEWebKitSuper : NSView {
 
 }
Index: trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 167)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>APEHasExcludeList</key>
+	<true/>
+	<key>APEMatchInfo</key>
+	<dict>
+		<key>APEMatchFlavor</key>
+		<string>Cocoa</string>
+	</dict>
+	<key>APEVersionRequired</key>
+	<string>1.3</string>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleExecutable</key>
+	<string>ICeCoffEE</string>
+	<key>CFBundleGetInfoString</key>
+	<string></string>
+	<key>CFBundleIconFile</key>
+	<string></string>
+	<key>CFBundleIdentifier</key>
+	<string>net.sabi.ICeCoffEE</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleName</key>
+	<string></string>
+	<key>CFBundlePackageType</key>
+	<string>BNDL</string>
+	<key>CFBundleShortVersionString</key>
+	<string></string>
+	<key>CFBundleSignature</key>
+	<string>ICCF</string>
+	<key>CFBundleVersion</key>
+	<string>1.4.1</string>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Info-ICeCoffEE Installer.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Info-ICeCoffEE Installer.plist	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Info-ICeCoffEE Installer.plist	(revision 167)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleExecutable</key>
+	<string></string>
+	<key>CFBundleGetInfoString</key>
+	<string></string>
+	<key>CFBundleIconFile</key>
+	<string></string>
+	<key>CFBundleIdentifier</key>
+	<string></string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleName</key>
+	<string></string>
+	<key>CFBundlePackageType</key>
+	<string>APPL</string>
+	<key>CFBundleShortVersionString</key>
+	<string></string>
+	<key>CFBundleSignature</key>
+	<string>????</string>
+	<key>CFBundleVersion</key>
+	<string>0.0.1d1</string>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 167)
@@ -8,5 +8,5 @@
 	<string>Unsanity Installer</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Unsanity Installer version 3.0.1, Copyright 2002-2003 Unsanity LLC.</string>
+	<string>Unsanity Installer version 3.3, Copyright ©2002-2004 Unsanity LLC.</string>
 	<key>CFBundleIconFile</key>
 	<string>ui.icns</string>
@@ -18,9 +18,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>Unsanity Installer version 3.0</string>
+	<string>Unsanity Installer version 3.3</string>
 	<key>CFBundleSignature</key>
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>3.1</string>
+	<string>3.3</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -11,5 +11,5 @@
 	</dict>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>364.0</string>
 	<key>IBOpenObjects</key>
 	<array>
@@ -18,5 +18,17 @@
 	</array>
 	<key>IBSystem Version</key>
-	<string>6G19</string>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 167)
@@ -0,0 +1,6 @@
+/* Localized versions of Info.plist keys */
+
+CFBundleName = "Unsanity Installer";
+CFBundleShortVersionString = "Unsanity Installer versione 3.3";
+CFBundleGetInfoString = "Unsanity Installer versione 3.3, Copyright ©2002-2004, Unsanity LLC.";
+NSHumanReadableCopyright = "Copyright ©2002-2004, Unsanity LLC.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 167)
@@ -0,0 +1,86 @@
+/* Incompatible OSX Panel */
+"Incompatible Mac OS X Version" = "Versione Mac OS X Incompatibile";
+"%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ richiede almeno Mac OS X %@. Hai una versione precedente installata. Per favore Aggiorna o scarica una versione precedente di %@ che sia compatibile col tuo sistema.";
+
+/* Ready Tab */
+"%@ was already installed for all users on this machine, and you are trying to install a local version. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. You can either Cancel, try to Remove for All Users or try to Install for All Users (you will need administrator priviliges for latter two)." = "%@ è già stato installato per tutti gli utenti di questo computer, e stai cercando di installare una versione locale. Facendo cosi risulteranno 2 copie di %@ attive sul tuo Macintosh, il che non è buona idea. Puoi sia Annullare, provare a Rimuovere Per Tutti Gli Utenti o reinstallare per Tutti Gli Utenti (verranno richiesti i privilegi di amministratore).";
+"%@ was already installed for this user, and you're about to do an install for all users on this machine. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. If you Continue, this installer will first remove the version installed for this user, then proceed with all users installation." = "%@ è già stato installato per questo utente, e stai per installare un altra copia per tutti gli utenti. Facendo cosi risulteranno 2 copie di %@ attive sul tuo Macintosh, il che non è buona idea. Se Continui, questo installatore prima rimuoverà la versione installata per questo utente, poi procederà all'installazione per tutti gli utenti.";
+"Already Installed For All Users" = "Già Installato Per Tutti Gli Utenti";
+"Already Installed For This User" = "Già Installato Per Questo Utente";
+"Install For All Users" = "Installa Per Tutti Gli Utenti";
+"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "Quando Cliccherai su \"Continua\", ti verrà richiesta la parola chiave di amministratore. Questo avviene perché alcuni componenti del programma devono essere installati lungo tutto il sistema per funzionare adeguatamente.";
+
+/* Install Table Strings */
+"Application Enhancer" = "Application Enhancer";
+"Installed \"%@\"" = "Installato \"%@\"";
+"Created folder \"%@\"" = "Cartella creata \"%@\"";
+"Uninstalled previously installed" = "Disintallata l'installazione precedente";
+"(files were moved to the Trash)" = "(i files sono stati Cestinati)";
+
+/* Uninstall Panel */
+"Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "Siete sicuro di disinstallare %@ %@ %@? Per favore nota che questo Disinstallatore rimuoverà automaticamente una versione più vecchia del prodotto durante il processo.";
+"globally installed" = "globalmente installato";
+"locally installed" = "localmente installato";
+
+/* Authentication Failed Panel */
+"Authentication Failed" = "Autenticazione Fallita";
+"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "Non sei riuscito a digitare la parola d'accesso dell'amministratore; questo installatore richiede i privilegi dell'amministratore per installare il software selezionato. Prego riprova.";
+
+/* Button Titles */
+"OK" = "OK";
+"Cancel" = "Annulla";
+"Continue" = "Continua";
+"Go Back" = "Torna Indietro";
+"Quit" = "Esci";
+"Uninstall" = "Disinstalla";
+
+/* Version n/a */
+"n/a" = "n/d";
+
+/* Install paths for Show Files window */
+"%@ or %@" = "%@ o %@";
+
+/* Options Tab */
+"Open \"%@\" %@ Upon Completion" = "Apro \"%@\" %@ Completato";
+
+/* Ready Tab */
+"Remove For All Users" = "Rimuovi Per Tutti Gli Utenti";
+
+/* Step N of M strings */
+"Step %d of %d" = "Passo %d di %d";
+"Step %d of %d: %@" = "Passo %d di %d: %@";
+"About This Product" = "Riguardo Questo Prodotto";
+"License Agreement" = "Accordo Licenza";
+"Installation Options" = "Opzioni di Installazione";
+"Ready To Install" = "Pronto per Installare";
+"Install Progress" = "Andamento Installazione";
+"Installation Complete" = "Installazione Completata";
+
+/* Installer Information Missing Panel */
+"Installer Information Missing" = "Informazioni Installatore Mancanti";
+"This installer cannot find or read the required information about the installable product.\n\nThe installer is unable to continue. Please contact the author of the software or re-download the package." = "Questo installatore non può trovare o leggere le informazioni richieste sull'installatore installabile del prodotto.\n\nL'installatore non può continuare. Per favore contatta l'autore del software o ri-scarica il pacchetto.";
+
+/* Uninstall Panel */
+"Uninstall Complete" = "Disinstallazione Completata";
+"Uninstall Failed" = "Disinstallazione fallita";
+"We were unable to uninstall %@ from your system. Please check if you have entered your administrator password correctly and that you have sufficient privileges and try again (or remove the files manually)." = "Non abbiamo potuto disinstallare %@ dal sistema. Per favore controlla se hai digitato correttamente la vostra parola d'accesso dell'amministratore e se si hanno i privilegi sufficienti e prova ancora (o rimuovi manualmente gli archivi).";
+"You will be asked for your administrator password when you click Uninstall." = "Verrà chiesta la parola d'accesso dell'amministratore quando cliccherai su Disinstalla.";
+"%@ was successfully uninstalled from your system. Thank you for evaluating our product!" = "%@ e' stato disinstallato con successo dal vostro sistema. Grazie per la valutazione del nostro prodotto!";
+
+/* Default Product Name */
+"Untitled Product" = "Prodotto Senza Titolo";
+
+/* Default Product Version */
+"1.0" = "1.0";
+
+/* Default Product Type */
+"Application" = "Applicazione";
+
+/* Window title */
+"Installer" = "Installatore"; /* (ProductName) Installer */
+
+/* Done Tab */
+"Log Out Suggested" = "Log Out Consigliato";
+"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "Quando sotto clicchi \"Esci\" , il prodotto installato verrà lanciato, e l'installer si chiuderà.";
+"When you click the \"Quit\" button below, this Installer will quit." = "Quando sotto clicchi \"Esci\" ,  l'installer si chiuderà.";
+"You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "Sei fortemente consigliato di uscire e riaccedere dall'utenza (log in/out) affinchè il prodotto installato entri in azione. Grazie!";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/classes.nib	(revision 167)
@@ -0,0 +1,46 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                doAPEHomePage = id; 
+                doBackButton = id; 
+                doContinueButton = id; 
+                doLicenseAgree = id; 
+                doLicenseDisagree = id; 
+                doShowInstallFiles = id; 
+                doUninstallCancel = id; 
+                doUninstallConfirm = id; 
+            }; 
+            CLASS = UIController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                apeCurrentVersionText = id; 
+                apeInstallVersionText = id; 
+                donLogOutText = id; 
+                donQuitText = id; 
+                filFilesTable = id; 
+                filWindow = id; 
+                genBackButton = id; 
+                genContinueButton = id; 
+                genStepText = id; 
+                insFilesTable = id; 
+                licAgreePanel = id; 
+                licTextView = id; 
+                optCreateLog = id; 
+                optGlobalInstallMatrix = id; 
+                optOpenUponCompletion = id; 
+                redExplanationText = id; 
+                remTextView = id; 
+                tabView = id; 
+                uniAuthRequiredText = id; 
+                uniExplanationText = id; 
+                uniFilesTable = id; 
+                uniPanel = id; 
+            }; 
+            SUPERCLASS = NSWindowController; 
+        }, 
+        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
+    ); 
+    IBVersion = 1; 
+}
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/MainMenu.nib/info.nib	(revision 167)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>2 8 356 240 0 0 1280 832 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>42 522 202 44 0 0 1280 832 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>364.0</string>
+	<key>IBOpenObjects</key>
+	<array>
+		<integer>21</integer>
+	</array>
+	<key>IBSystem Version</key>
+	<string>7M34</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>21</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Vertical:334.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib	(revision 167)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Japanese.lproj/MainMenu.nib/classes.nib	(revision 167)
@@ -0,0 +1,46 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                doAPEHomePage = id; 
+                doBackButton = id; 
+                doContinueButton = id; 
+                doLicenseAgree = id; 
+                doLicenseDisagree = id; 
+                doShowInstallFiles = id; 
+                doUninstallCancel = id; 
+                doUninstallConfirm = id; 
+            }; 
+            CLASS = UIController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                apeCurrentVersionText = id; 
+                apeInstallVersionText = id; 
+                donLogOutText = id; 
+                donQuitText = id; 
+                filFilesTable = id; 
+                filWindow = id; 
+                genBackButton = id; 
+                genContinueButton = id; 
+                genStepText = id; 
+                insFilesTable = id; 
+                licAgreePanel = id; 
+                licTextView = id; 
+                optCreateLog = id; 
+                optGlobalInstallMatrix = id; 
+                optOpenUponCompletion = id; 
+                redExplanationText = id; 
+                remTextView = id; 
+                tabView = id; 
+                uniAuthRequiredText = id; 
+                uniExplanationText = id; 
+                uniFilesTable = id; 
+                uniPanel = id; 
+            }; 
+            SUPERCLASS = NSWindowController; 
+        }, 
+        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
+    ); 
+    IBVersion = 1; 
+}
